################################################################################
# BEGIN COPYRIGHT
################################################################################
#
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# All Rights Reserved * Licensed Materials - Property of IBM
# 5655-FLW (C) Copyright IBM Corporation 2007, 2009
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
################################################################################
# END COPYRIGHT
################################################################################
#
# Jython module containing helpers for the WebSphere BPC reporting function
#
# Version: 1.7 09/11/30 22:44:53
#
################################################################################
__file__="messageCatalog.py"


################################################################################
#
# imported jython/python modules
#
################################################################################

# none

################################################################################
#
# Message Catalog Class
#
################################################################################
class MessageCatalog:
   "Provide I18N messages"

   #------------------------
   def get(self,msg, *parms):
     try:

       message=self.messageDictonary[msg]
       theCount=1;
       for i in parms:
          rep="%"+str(theCount)
          if i == None:
            i=""
          message=message.replace(rep, str(i))
          theCount=theCount+1;
       return message
     except KeyError:
       m="Message for key '" + msg + "' does not exist"
       raise KeyError, m
       return msg

   ObserverName =  "WebSphere Business Process Choreographer reporting function"
   ConsumerName =  "WebSphere Business Process Choreographer Event Collector"

   ObserverShortName = "reporting function"
   CollectorShortName = "Event Collector"
   ConsumerShortName = CollectorShortName
   TransformerShortName = "Transformer"


   # the messages dictionary
   messageDictonary = {
   "NewLine"                   : "  " ,
   "LineSep"                   : "--------------------------------------------------------------------------------" ,
   "ConsumerName"              : ConsumerName,
   "ObserverName"              : ObserverName,
   "ObserverShortName"         : ObserverShortName,
   "ConsumerShortName"         : ConsumerShortName,
   "InstallHeadingObserver"    : "Customize the " + ObserverName + " install " ,
   "InstallHeadingConsumer"    : "Install the " + ConsumerName ,
   "StartingApplication"       : "Starting the application '%1' ... " ,
   "StoppingApplication"       : "Stopping the application '%1' ... " ,
   "InfoRestartApplication"    : "Note: To activate the changes, you must restart the application %1. " ,
   "InfoRestartAppServer"      : "Note: To activate the changes, you must restart the application server %1. " ,
   "InfoInstallJarManually"    : "Note: Before you can run the SQL file against your database, you must install the jar file 'bpcodbutil.jar' into the database. " ,
   "RestartDbToRefreshClasses" : "Note: To activate the updated jar file, you must restart the database %1, then start all functions INTERVALIN of schema '%2'. " ,
   "RestartDbToActivateJar"    : "Note: To activate the installed jar file, you must restart the database %1. " ,
   "AppServerNotRunning"       : "The Application server is not running. " ,
   "ApplicationExists"         : "There is already an application named '%1'. " ,
   "ApplicationDoesNotExisit"  : "There is no application named '%1'. " ,
   "PromptForUpdate"           : "Do you want to overwrite the existing application? " ,
   "Overwrite"                 : "Overwrite" ,
   "Yes"                       : "yes" ,
   "No"                        : "no" ,
   "Skip"                      : "skip" ,
   "YesNo"                     : "(y/n) " ,
   "YesNoSkip"                 : "(y/a/s) " ,
   "NothingToRemove"           : "There is nothing to remove. " ,
   "StartedSuccessfully"       : "Application '%1' started successfully. " ,
   "StoppedSuccessfully"       : "Application '%1' was stopped. " ,
   "AlreadyStopped"            : "Application '%1' is already stopped. " ,
   "StartFailed"               : "Failed to start '%1'. " ,
   "StopFailed"                : "Failed to stop '%1'. " ,
   "WelcomeObserver"           : "\n Welcome to the " + ObserverName + " setup! \n " ,
   "WelcomeComsumer"           : "\n Welcome to the " + ConsumerName + " setup! \n " ,
   "SelectedDBMS"              : "Selected database management system: %1 " ,
   "PromptDbNameHeading"       : "Specify the database to be used. " ,
   "PromptDbName"              : "Specify the name of your database: " ,
   "PromptRemoteDbName"        : "Specify the name of the database as known by the subsystem: " ,
   "PromptDbLocationName"      : "Specify the location name/connection target (as returned by SELECT CURRENT SERVER FROM SYSIBM.SYSDUMMY1): " ,
   "PromptLocalDbName"         : "Specify the name of database in local catalog: " ,
   "SelectedLocalName"         : "Selected local name: '%1' " ,
   "SelectedRemoteName"        : "Selected remote name: '%1' " ,
   "SelectedSchema"            : "Selected schema: '%1' " ,
   "PromptDbUser"              : "Specify userid to connect to the database %1: " ,
   "PromptCEIJMSUser"          : "Specify JMS user id to authenticate with the Common Event Infrastructure Bus: " ,
   "PromptMELocation"          : "Is the messaging engine of the CEI Bus also on server '%1'? " ,
   "PromptInstallTarget"       : "Select the deployment target to install to: " ,
   "PromptRemoveTarget"        : "Select the deployment target to remove from: " ,
   "PromptInstalledTarget"     : "Select the deployment target where the application is installed: " ,
   "SelectMEDeplomentTType"    : "Specify where the messaging engine resides: " ,
   "PromptMEServer"            : "Specify the server name where the messaging engine resides: " ,
   "PromptMENode"              : "Specify the node name where the messaging engine resides: " ,
   "PromptMECluster"           : "Specify the cluster name where the messaging engine resides: " ,
   "PromptServer"              : "Specify the server name : " ,
   "PromptNode"                : "Specify the node name : " ,
   "PromptCluster"             : "Specify the cluster name : " ,
   "LeaveEmptyIfSecutityisOff" : "You may leave this empty if the CEI bus has security disabled. " ,
   "PromptPassword"            : "Specify the password for userid '%1': " ,
   "WarningCEIEventsDisabled"  : "WARNING: The business process container of %1 has CEI event logging disabled. " ,
   "WarningCEIStateNotKnown"   : "WARNING: The state of the CEI event logging could not be determined. " ,
   "InfoCheckCEIEvents"        : "Checking if CEI event logging is enabled ... " ,
   "InfoCEIEventsEnabled"      : "The business process container of %1 has CEI event logging enabled. " ,
   "WarningBFMNotFound"        : "WARNING: The Business process container was not found on %1. " ,
   "InfoCEIEventsRequired"     : "To allow the " + ConsumerShortName + " to work correctly, CEI event logging is required. " ,
   "InfoEnableCEIOnOtherServer": "If your business process container is on another server, ensure that the CEI event logging is enabled there. Else configure one on this server.",
   "PromptEnableCEIEvents"     : "Do you want to enable the CEI event logging on %1? " ,
   "ProfileUpdateSuccess"      : "The application configuration profile for '%1' was updated. Content is now: %2" ,
   "ViewCreatedSuccessful"     : "View for '%1'-data created successfully. " ,
   "ViewNotCreated"            : "The view for using '%1' data required for the " + ObserverName + " was not created. " ,
   "DatabaseSetupSucess"       : "The setup of the database completed successfully. " ,
   "ErrorDatabaseSetupFailed"  : "ERROR: The setup of the database completed with errors. " ,
   "SchemaRemoveSucess"        : "The remove of the database schema completed successfully. " ,
   "SchemaRemoveFailed"        : "ERROR: The remove of the database schema completed with errors. " ,
   "MoreInfoInLogFile"         : "More information may be found in the logfile '%1'. " ,
   "SelectedDbType"            : "Selected database type: %1 " ,
   "SelectedName"              : "Selected name: '%1' " ,
   "SelectedPort"              : "Selected port: '%1' " ,
   "SelectedHost"              : "Selected hostname: '%1' " ,
   "YourSelection"             : "Your selection: " ,
   "InfoDatabaseVersion"       : "Version of the database schema is '%1' ",
   "InfoThisCreatesViews"      : "This will create views and indexes required for the " + ObserverName ,
   "PromptInstallObserver"     : "Do you want to install the " + ObserverName + " now? " ,
   "SelectDBMSType"            : "Select the type of your database provider: " ,
   "WhichResourceToUse"        : "Specify the JNDI name of the " + ObserverShortName + " database. " ,
   "WhichConsumerDBToUse"      : "Specify the JNDI name of the database where the " +CollectorShortName +" should store the collected events. " ,
   "CannotLoadJdbcDriver"      : "ERROR: The jdbc driver '%1' couldn't be found neither in one of the jar files %2 nor in the CLASSPATH." ,
   "ValueNotInList"            : "The specified value is not contained in the list. " ,
   "ContinueAnyway"            : "Continue anyway? " ,
   "ContinueWithoutChecks"     : "Continue without checks ?" ,
   "InfoSchemaDoesNotExist"    : "The specified schema %1 does not exist in the database. " ,
   "ErrorSchemaDoesNotExist"   : "ERROR: The specified schema %1 does not exist or is inaccessible. " ,
   "ErrorPathDoesNotExist"     : "ERROR: The specified path %1 does not exist or is inaccessible. " ,
   "PromptCreateSchema"        : "Do you want to create the schema %1? " ,
   "PromptCreateDatabase"      : "Do you want to create the database %1? " ,
   "MultipleServerFound"       : "Mutiple server with the name %1 were found. " ,
   "EnterQMarkForList"         : "Enter '?' to get a list. " ,
   "NoListHere"                : "Sorry, no list is available on this prompt. " ,
   "DbmsTypeDB2"               : "DB2 Universal" ,
   "DbmsTypeDB2iSeries"        : "DB2 iSeries" ,
   "DbmsTypeDB2zOSv7"          : "DB2 V7 on z/OS" ,
   "DbmsTypeDB2zOSv8"          : "DB2 V8 on z/OS" ,
   "DbmsTypeDB2zOSv9"          : "DB2 V9 on z/OS" ,
   "DbmsTypeDerby"             : "Derby" ,
   "DbmsTypeOracle"            : "Oracle" ,
   "Exit"                      : "Exit" ,
   "Installing"                : "Starting install ... " ,
   "SpecifyAppNameUsed"        : "Specify the application name to be used: [%1] " ,
   "AppNametoRemove"           : "Specify the name of the application to be uninstalled: [%1] " ,
   "ConnectedTo"               : "Connected to '%1'. " ,
   "JarFileAllreadyInstalled"  : "The jar file with jar_id '%1' is already installed in the database %2. " ,
   "JarFileUpdate"             : "The jar file with jar_id '%1' is updated with the current version. " ,
   "JarFileRemoveSucess"       : "The jar file with jar_id '%1' was successfully removed from the database %2. " ,
   "JarFileRemoveFailed"       : "The remove of jar file with jar_id '%1' from the database %2 failed. " ,
   "JarFileInstallSucess"      : "The jar file '%1' was successfully installed. " ,
   "JarFileInstallFailed"      : "The install of the jar file '%1' failed. " ,
   "CheckOracleEnvironment"    : "Please check that your PATH environment variable contains $ORACLE_HOME/bin. " ,
   "InfoInstallJarOnServer"    : "Please copy '%1' to your Oracle server, then issue the follwoing command while logged on as an Oracle administrator: ",
   "<PathOfJarFile>"           : "<path>/bpcodbutil.jar",
   "<Password>"                : "<password>",
   "JarFileInstalling"         : "Loading the jar file '%1' into the database. " ,
   "NoJarFileFound"            : "No jar file with ID BPCODBUTIL found. " ,
   "NoObserverClassesFound"    : "No " + ObserverShortName + " java classes found. " ,
   "JarFileId"                 : "The jar file id being used is '%1'. " ,
   "NoJarFileUpdate"           : "The jar file with jar_id '%1' is not replaced. " ,
   "DisconnectedFrom"          : "Disconnected from '%1'. " ,
   "CheckForTBS"               : "Checking for required tablespaces %1. " ,
   "AllTbsFound"               : "All required tablespaces were found. " ,
   "ExecuteCreateTbsScript"    : "Please create the required tablespaces using the SQL script '%1'. " ,
   "CreateTbsScriptNotRun"     : "Typically this error occures if the SQL script '%1' did not run successfully. " ,
   "ExplainDefaultTBSInstead"  : "You may place all schema objects in a default tablespace. However, this is not recommended in a production environment." ,
   "PromptUseDefaultTBSInstead": "Do you want to use the default tablespace for all objects? " ,
   "ErrorTbsMissing"           : "ERROR: The following required tablespaces were not found in the database %1: %2" ,
   "ErrorJarMissing"           : "ERROR: The following required jar file(s) were not found: %1 " ,
   "ErrorInstallingJar"        : "ERROR: The required jar file '%1' could not be installed. " ,
   "ErrorRemovingJar"          : "ERROR: The classes from jar file '%1' could not be removed. " ,
   "ErrorConnecting"           : "ERROR: An error occurred while trying to connect to database. " ,
   "VerifyParameters"          : "Please verify the parameters you specified. " ,
   "PromptRetryConnect"        : "Do you want to re-enter the connection parameters? " ,
   "PromptReuseDbConnection"   : "Do you want to use the already entered database connection parameters? " ,
   "VerifyPermissions"         : "Verify that userid '%1' has sufficient permissions to install a jar file. " ,
   "VerifyLoadPermissions"     : "Verify that you have sufficient permissions to run the oracle tool 'loadjava'. " ,
   "TryingConnect"             : "Trying to connect to database '%1', using user '%2'. " ,
   "TryingConnectDerby"        : "Trying to connect to database '%1' ... " ,
   "RemindStartServer"         : "Reminder: If you stopped the server, start the server now again using 'startServer %1'. " ,
   "StartServerNow"            : "Restart the server now using 'startServer %1'. " ,
   "EnterCAfterStartup"        : "After the server is up again, come back to this prompt and enter 'c' to continue. " ,
   "EnterCAfterShutdown"       : "After the server is stopped, come back to this prompt and enter 'c' to continue. " ,
   "InformAboutServerStop"     : "The application server must be stopped to update a Derby database. " ,
   "ErrorNoUpdateWhenConnected": "Error: The update of an existing derby database using the embedded driver is not possible when in connected mode." ,
   "InfoUseNetOrConnModeNone"  : "To update this database, either start setupEventCollector using '-conntype none' while the server is stopped, or setup a Derby network server for the database." ,
   "StopServerOutsideWsadmin"  : "This must be done outside wsadmin using 'stopServer %1'. " ,
   "StopServerNow"             : "Please stop the server '%1' now. " ,
   "PressCtoContinue"          : "Press 'c' to continue, 'a' to abort: " ,
   "EnterNtoAbort"             : "Enter 'n' to abort. " ,
   "Abort"                     : "Abort" ,
   "Cancel"                    : "cancel" ,
   "ExistingApps"              : "The following applications are installed: " ,
   "NoServerNoList"            : "Since there is no connection to a server, no list can be provided. " ,
   "SIBQDescription"           : "'JMS queue used by the " + ConsumerName + "' " ,
   "SIBQFDescription"          : "'JMS queue connection factory used by the " + ConsumerName + "' " ,
   "ActivationSpecDesc"        : "'JMS activation specification used by the " + ConsumerName + "' " ,
   "CreatedQueueDestination"   : "Created a new queue destination. " ,
   "CreatedQueueQF"            : "Created a new queue connection factory. " ,
   "CreatedJMSQ"               : "Created a new JMS queue. " ,
   "CreatedActSpec"            : "Created a new activation specification. " ,
   "CreatedEventGroupProfile"  : "Created a new event group profile. " ,
   "CreatedNameSpaceBinding"   : "Created a new NameSpaceBinding object. " ,
   "UpdatedNameSpaceBinding"   : "Updated NameSpaceBinding object. " ,
   "UpdatingProfile"           : "Updating the application configuration settings ... " ,
   "CreatedDistributionQ"      : "Created a new distribution queue. " ,
   "DistributionQueue"         : "distribution queue" ,
   "Removing"                  : "Removing '%1' ... " ,
   "ID"                        : "  Object ID  : %1" ,
   "Name"                      : "  Object name: %1" ,
   "InstallSuccess"            : "%1 installed successfully! " ,
   "ChangesUndoable"           : "Note: Any changes done by the script are temporary. Only if you save your configuration as prompted at the end, they get active. " ,
   "PromptForSave"             : "Do you want to save the changes? " ,
   "PromptStartAppNow"         : "Do you want to start the application now? " ,
   "PromptRestartAppNow"       : "Do you want to restart the application now? " ,
   "ConfigResetDone"           : "The configuration has been set to its original state. " ,
   "ConfigSaveDone"            : "The configuration has been saved. " ,
   "Initializing"              : "Initializing ... " ,
   "ExceptionOccured"          : "ERROR: Scripting exception occurred! " ,
   "ErrorDoReset"              : "Error occurred! Doing a reset ... " ,
   "NoMatchingObject"          : "All '%1' objects deleted. " ,
   "SkipInstall"               : "Skip the install " ,
   "ProcessSqlFile"            : "Processing the SQL file ... " ,
   "WritingSqlFile"            : "Writing the SQL file ... " ,
   "SqlFileWritten"            : "SQL statements were written to '%1'. " ,
   "DbLogFileWritten"          : "Database logfile is written to '%1'. " ,
   "ExecutingSQLStmt"          : "Executing statement #" ,
   "ExecutingSQLStmtOf"        : "Executing statement #%1 of %2 " ,
   "SqlState"                  : "SQLState: %1" ,
   "ErrorCode"                 : "Error Code: %1" ,
   "ResultCode"                : "Result code: " ,
   "FailingStatement"          : "Failing statement: '%1' " ,
   "ErrorOnStatement"          : "Error on statement #%1 occurred! " ,
   "CreatingSchema"            : "Trying to create schema '%1' ... " ,
   "SchemaCreated"             : "Schema '%1' created. " ,
   "ObjectAlreadyExists"       : "A duplicate object or constraint name was detected. " ,
   "MissmatchToJndiName"       : "The specified database name '%1' does not match the database name '%2' associated with the JNDI name '%3' specified earlier. " ,
   "PromptRemoveApp"           : "Are you sure that you want to remove the %1 and its related objects? " ,
   "PromptRemoveDb"            : "Are you sure that you want to remove the " + ObserverShortName + " database objects under schema '%1' from '%2'? " ,
   "PromptAlsoRemoveDb"        : "Do you also want to remove the " + ObserverShortName + " schema from the database? " ,
   "InfoNoDBClenup"            : "Note: This script does not cleanup the %1 database tables. Please do this using the setupEventCollector tool. " ,
   "ErrorConnDefinition"       : "ERROR: No suitable ConnectionDefinition for creating the QueueConnectionFactory was found. " ,
   "MenuHeading"               : "Commands Menu" ,
   "Menu_PrepareDb"            : "Prepare a database for the " + ConsumerShortName + " and " + ObserverShortName ,
   "Menu_DropSchema"           : "Drop the database schema of the " + ConsumerShortName + " and " + ObserverShortName ,
   "Menu_AdministrateUdf"      : "Administer " + ObserverShortName + " related user-defined functions " ,
   "Menu_InstallApp"           : "Install the %1 application " ,
   "Menu_Remove"               : "Remove the %1 application and related objects " ,
   "Menu_ChangeProfile"        : "Change configuration settings of an installed %1 " ,
   "Menu_Exit"                 : "Exit Menu " ,
   "Menu_ExitDBSetup"          : "Exit database setup " ,
   "Menu_EnterNewParams"       : "Enter new connection parameters",
   "Menu_CorrectUserOrPassword": "Correct the user and password to be used " ,
   "Menu_RetryWithoutNewParams": "Retry to connect with the given connection parameters " ,
   "Menu_InvalidSelection"     : "ERROR: Invalid selection '%1'. " ,
   "Menu_JDBCType2"            : "Connect using type 2 (using a native database client) " ,
   "Menu_JDBCType4"            : "Connect using type 4 (directly via JDBC) " ,
   "Menu_DerbyEmbedded"        : "Connect using the embedded or embedded 40 JDBC driver " ,
   "Menu_DerbyNetwork"         : "Connect using the network or network 40 JDBC driver " ,
   "Menu_JdbcNativeDriver"     : "Connect using the native JDBC driver " ,
   "Menu_JdbcToolboxDriver"    : "Connect using the IBM Toolbox for Java JDBC driver " ,
   "Menu_JdbcUniversalDriver"  : "Connect using the DB2 Universal JDBC driver " ,
   "Menu_ActivateJavaUdf"      : "Activate Java based user-defined functions " ,
   "Menu_ActivateSqlUdf"       : "Activate SQL based user-defined functions " ,
   "Menu_DetermineFktType"     : "Determine current state " ,
   "Menu_AdministerJar"        : "List, install or remove jar files containing the java based functions " ,
   "Menu_ListJars"             : "List installed jar files " ,
   "Menu_ListTimestampUtil"    : "List installed " + ObserverShortName + " java based utility classes " ,
   "Menu_RemoveJar"            : "Remove the jar file containing the " + ObserverShortName + " functions from the database " ,
   "Menu_InstallJar"           : "Install the jar file containing the " + ObserverShortName + " functions into the database " ,
   "Menu_Server"               : "Messaging engine resides on a managed server " ,
   "Menu_Cluster"              : "Messaging engine resides on a cluster " ,
   "Cluster"                   : "Cluster '%1'" ,
   "Server"                    : "Server '%1'" ,
   "Node"                      : "Node '%1'" ,
   "ErrorDbObjectNoInit"       : "ERROR: Database object not initialized. Can not continue. " ,
   "PrepareDBHeading"          : "Prepare a database for the %1 and %2 " ,
   "DropDbSchemaHeading"       : "Remove the %1 database schema from a database. " ,
   "InstallAppHeading"         : "Create required objects and install the %1 application " ,
   "CreatingObjects"           : "Creating required objects ... " ,
   "RemoveHeading"             : "Remove the %1 application and related objects " ,
   "PromptRemoveAlsoJar"       : "Do you also want to remove the jar file from the database? " ,
   "PromptSchema"              : "Specify the database schema to be used: " ,
   "PromptJarLocation"         : "Specify the location of the jar file bpcodbutil.jar on the database server '%1': " ,
   "PromptSqlOutFile"          : "Enter a filename for the SQL file to be generated: " ,
   "promptJdbcHome"            : "Specify the directory of your JDBC driver: " ,
   "PromptSchemaRemoveUdfFrom" : "Specify the schema from which the jar file should be removed: " ,
   "PromptJdbcDriverImpl"      : "Specify the JDBC driver to be used: " ,
   "PromptJdbcConnectionType"  : "Specify the JDBC driver type to be used: " ,
   "PromptStorageGroup"        : "Specify the DB2 storage group name to be used: " ,
   "SelectedStorageGroup"      : "Selected storage group: %1 " ,
   "PromptWlmEnvironmentId"    : "Specify the WLM environment name where the UDF should run: " ,
   "SelectedWlmId"             : "Selected WLM environment name: %1 " ,
   "LeaveEmptyForDefltSchema"  : "Leave empty to use the default schema which is normally 'APP'. " ,
   "LeaveEmptyForDSUser"       : "Enter a space character or leave empty to use the default schema of the datasource. " ,
   "DifferentFormerSchema"     : "The specified schema does not match the previously entered schema '%1'. " ,
   "DifferentAuditSchema"      : "The specified schema does not match the schema '%1' previously entered during the database preparation step. " ,
   "DifferentConsumerSchema"   : "The specified schema does not match the schema '%1' used by the installed " + ConsumerName +" application. " ,
   "ConsumerInstallFound"      : "Note: A " + ConsumerName +" installation was found. " ,
   "PrepareAnotherDB"          : "Do you want to prepare another database for the " + ObserverName +"? " ,
   "PromptUpdateSchema"        : "Do you want to change the database schema used by the " + ObserverName + "? " ,
   "ProvideFullPathForCS"      : "Note: For Derby provide the fully qualified path, like '/WPS/databases/OBSVRDB'. " ,
   "DatabaseMustExist"         : "Note: Database must already exist. " ,
   "RemindCreateDatasource"    : "Note: To allow the " + ConsumerShortName + " to work with this database, you must also setup a datasource within the Administrative Console. " ,
   "PromptListenerPort"        : "Specify the port where the database server is listening: " ,
   "PromptServerHost"          : "Specify the hostname of the database server: " ,
   "PromtCreateSqlOnly"        : "Do you want to create an SQL file only (delay database preparation)? " ,
   "InfoPerformChecksInDb"     : "Even if you want to delay the configuration, your entered values can be checked within the database. " ,
   "PromptPerformChecksInDb"   : "Do you want to perform these checks? " ,
   "ActiveUdfImplementation"   : "The active UDF implementation is %1. " ,
   "FollowingSchemasExist"     : "The follwoing " + ObserverShortName + " schemas exist in database %1: " ,
   "WarningImplAlreadyActive"  : "WARNING: The UDF implementation is already set to %1. " ,
   "ErrorInvalidCommandLine"   : "ERROR: Invalid command line argument: '%1'. " ,
   "ErrorCmdLineArgMissing"    : "ERROR: Missing argument for parameter '%1'. " ,
   "ErrorOnlyServerOrCluster"  : "ERROR: Only one of the '-server' and '-cluster' command line option must be specified. " ,
   "SetupEndedWithErrors"      : "Errors occurred during the setup! Returning %1. " ,
   "SetupEndedOk"              : "Setup ended successfully. " ,
   "LogfileLocation"           : "Logfile is '%1'. " ,
   "NewRunStarted"             : "New log session started. " ,
   "ErrorAdminObjectMissing"   : "ERROR: The following required admin object is missing: '%1'. This error typically results from a failure while connecting to the server. Ensure that you are using the correct profile (option -profileName). Then check if the server is up and running, or use '-conntype none' to work in disconnected mode." ,
   "ErrorConnectingScript"     : "ERROR: The scripting client could not connect to the server. Ensure that you are using the correct profile (option -profileName). Then check if the server is up and running, or use '-conntype none' to work in disconnected mode." ,
   "AppNotFound"               : "No Application named '%1' was found. " ,
   "NotInstalledNotFound"      : "Application '%1' was not uninstalled because it was not found. " ,
   "AppUninstalled"            : "Application '%1' was uninstalled. " ,
   "WorkingOnServer"           : "Working on node '%1', server '%2'. " ,
   "WorkingOnCluster"          : "Working on cluster '%1'. " ,
   "NoServerSpecified"         : "WARNING: No server was specified to work with. " ,
   "ServerOrClusterRequired"   : "WARNING: Could not determine the server connected to. " ,
   "SpecifyServerOrCluster"    : "Specify either a server or a cluster using the command line parameters '-server' or '-cluster'. " ,
   "WarningUnknownParam"       : "WARNING: Unknown profile configuration parameter '%1' is ignored. " ,
   "ErrorInvalidValueForKey"   : "ERROR: Invalid value for parameter '%1'!" ,
   "UsingDefault"              : "Using default '%1'. " ,
   "ProfileHeader"             : ObserverName + "/Event Collector configuration properties " ,
   "EditProfileMenuTitle"      : "Enter the number of the configuration parameter you want to change/display: " ,
   "EditConfigurationParam"    : "Edit a configuration parameter. " ,
   "ConfigurationParameter"    : "Configuration parameter: " ,
   "Description"               : "Description: " ,
   "DataType"                  : "Data type: " ,
   "Unit"                      : "Unit: " ,
   "CurrentValue"              : "Current value is: " ,
   "EnterNewValue"             : "Enter a new value." ,
   "EnterSpaceToUnset"         : "Enter 'Space' to unset." ,
   "EnterEnterToExit"          : "Press 'Enter' to exit." ,
   "ValueForKeySetTo"          : "Value for '%1' set to '%2'. " ,
   "ValueNotSet"               : "<not set>" ,
   "InfoJarPathReplaced"       : "Information: '%1' was replaced with '%2' since '%3' is a substituted drive." ,
   "ErrorServerDoesNotExist"   : "ERROR: The specified server '%1' couldn't be found. " ,
   "ErrorServerNotExistOnNode" : "ERROR: The specified server '%1' couldn't be found on node '%2'. " ,
   "ErrorNodeDoesNotExist"     : "ERROR: The specified node %1 could not be found. " ,
   "ErrorNodeRequiredInND"     : "ERROR: In a managed environment (ND), when using -silent, you must specify a node name using -node <nodeName>" ,
   "ErrorClusterDoesNotExist"  : "ERROR: The specified cluster '%1' couldn't be found. " ,
   "ErrorAppDoesNotExist"      : "ERROR: The application '%1' couldn't be found. " ,
   "ErrorProfileDoesNotExist"  : "ERROR: The profile '%1' for application '%2' couldn't be found. " ,
   "ErrorProfileKeyNotFound"   : "ERROR: The key '%1' was not found in the application configuration profile. " ,
   "ErrorPathNotFound"         : "ERROR: The path '%1' couldn't be found. " ,
   "ErrorNotInitialized"       : "ERROR: The required object '%1' is not initialized. " ,
   "ErrorParentObjectMissing"  : "ERROR: The parent object required to create '%1' is missing. " ,
   "WarningTracefileLocked "   : "WARNING: Can not write trace file '%1'. " ,
   "InfoEnsureSync"            : "Information: Please run the node synchronization (run syncNode.bat|.sh) to activate the changes. " ,
   "ProfileDescObsSchema"      : "The database schema under which the " + ObserverShortName +" tables were created. If this value is not set, the default schema of the authenticated user is taken. " ,
   "ProfileDescObsCreaSchema"  : "This parameter indicates if the " + ObserverShortName + " schema should be created when the EJB connects to the database the first time. Valid values are 'true' and 'false'. " ,
   "ProfileDescObsReportRange" : "Events which are older than the qualifying date and time minus this value are ignored for snapshot queries. " ,
   "ProfileDescECSchema"       : "The database schema under which the " + ConsumerShortName +" tables were created. If this value is not set, the default schema of the authenticated user is taken. " ,
   "ProfileDescTransECount"    : "The number of events after which the " + ConsumerShortName +" sends a notification to the " + TransformerShortName + ". " ,
   "ProfileDescTransMaxWait"   : "Time in minutes after the " + TransformerShortName + " is notified although the number of events is not reached. " ,
   "ProfileDescTransTolTime"   : "Time in minutes while the " + TransformerShortName + " ignores the events in the database. " ,
   "ReadingProfile"            : "Retrieving the application configuration settings of application '%1' ... " ,
   "SearchAppInstall"          : "Searching for an already installed %1 on '%2' ... " ,
   "Warning601ConsInstalled"   : "WARNING: It seems that the 6.0.1 CEI Consumer sample is installed. " ,
   "Warning601ObsInstalled"    : "WARNING: It seems that the 6.0.1 Observer sample is installed. " ,
   "WarningSwitchUdfImpl"      : "WARNING: Switching the UDF implementation type may break any running " + ObserverShortName + " applications. " ,
   "WarningRemoveJar"          : "WARNING: Removing the " + ObserverShortName + " database utility jar may break any running " + ObserverShortName + " applications. " ,
   "RemoveUsingScript"         : "You should first remove the sample using '%1' located in '%2', otherwise the %3 application will not start. " ,
   "CreatingSqlBasedFunctions" : "Creating the SQL based user-defined functions ... " ,
   "RemovingFunctions"         : "Removing the user-defined functions ... " ,
   "CreatingJavaBasedFunctions": "Creating the Java based user-defined functions ... " ,
   "CurrentlyNotSupported"     : "This operation is currently not supported for %1. " ,
   "PromptJavaOrSqlUdfHeading" : "Choose the implementation of the " + ObserverShortName + " user-defined functions. " ,
   "NoteOnUdfImplementation"   : "Note: The Java UDFs are more precise, but they require a jar file installed to the database. " ,
   "NoteVisitDocumetation"     : "Visit the " + ObserverShortName + " documentation for details. " ,
   "undefined"                 : "undefined" ,
   "notWorking"                : "not working" ,
   "Java"                      : "Java" ,
   "SQL"                       : "SQL" ,
   "TestUdf"                   : "Tested functionality of the UDF, is %1. "
   }
